<?
//Мод Подарки для DCMS
//Автор:TBicTep
//ICQ:3492211
//Вы не имеете права распространять данный скрипт
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';





if(!isset($user))
{
$set['title']='Подарки';
include_once '../sys/inc/thead.php';
title();
err();
aut();
echo'Доступ закрыт не авторизированым пользователям<br/>';
include_once '../sys/inc/tfoot.php';
exit();
}
if (isset($_GET['user']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id` = '".intval($_GET['user'])."'"),0))
{
if (isset($user) && isset($_GET['id']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `present_give` WHERE `id_give` = '$user[id]' AND `id` = '".intval($_GET['id'])."'"),0)){
$post=mysql_result(mysql_query("SELECT COUNT(*) FROM `present_give` WHERE `id_give` = '".intval($_GET['id'])."'"),0);
$qp=mysql_query("SELECT * FROM `present_list` WHERE `id` = '$post[id_p]' LIMIT 1");
$p = mysql_fetch_array($qp);
echo"<img src='$p[url]' /><br />";
echo "input";}
$set['title']='Подарки-'.mysql_result(mysql_query("SELECT `nick` FROM `user` WHERE `id` = '".intval($_GET['user'])."'"),0).'';
include_once '../sys/inc/thead.php';
title();
err();
aut();
	if (isset($user) && isset($_GET['del']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `present_give` WHERE `id_give` = '$user[id]' AND `id` = '".intval($_GET['del'])."'"),0))
	{
	mysql_query("DELETE FROM `present_give` WHERE `id` = '".intval($_GET['del'])."' LIMIT 1");
	msg('Подарок удален');
	}
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `present_give` WHERE `id_give` = '".intval($_GET['user'])."'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
if ($k_post==0)
{
echo "Нет подарков\n";
}
$q=mysql_query("SELECT * FROM `present_give` WHERE `id_give` = '".intval($_GET['user'])."' ORDER BY `id` DESC LIMIT $start, $set[p_str]");
while ($post = mysql_fetch_array($q))
{

if (mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id` = '$post[id_user]'"),0) && mysql_result(mysql_query("SELECT COUNT(*) FROM `present_list` WHERE `id` = '$post[id_p]'"),0))
{
$qp=mysql_query("SELECT * FROM `present_list` WHERE `id` = '$post[id_p]' LIMIT 1");
$p = mysql_fetch_array($qp);

echo"Подарок($p[name]) от: <b><a href='/info.php?id=$post[id_user]'>".mysql_result(mysql_query("SELECT `nick` FROM `user` WHERE `id` = '$post[id_user]' LIMIT 1"),0)."</a></b><br />\n"; 
echo"<img src='$p[url]' /><br />";
if($post['coment'] != NULL)echo"Коментарий: $post[coment]<br />\n";
if (isset($user) && $user['id'] == $post['id_give']) echo"[<a href='?user=".intval($_GET['user'])."&amp;del=$post[id]'>Удалить</a>]<br />\n";
echo"<div class='p_t'></div>";
}
}
if ($k_page>1)str("?user=".intval($_GET['user'])."&amp;",$k_page,$page); // Вывод страниц

echo"<div class='foot'>\n";
echo"<a href='present.php?user=".intval($_GET['user'])."'>Подарить чтота пользователю</a><br />\n";
echo"<a href='/info.php?id=".intval($_GET['user'])."'>В анкету</a><br />\n";
echo"</div>\n";




}
else
{
$set['title']='Подарки';
include_once '../sys/inc/thead.php';
title();
err();
aut();
echo'Не указан пользователя чьи подарки вы хотите просмотреть.<br/>';
}
include_once '../sys/inc/tfoot.php';
?>